### Callable

- mkdir(path: PathLike, options: number | string | MakeDirectoryOptions | undefined | null, callback: function): void
- mkdir(path: PathLike, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:710

  Asynchronous mkdir(2) - create a directory.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### options: number | string | MakeDirectoryOptions | undefined | null

    Either the file mode, or an object optionally specifying the file mode and whether parent folders should be created. If a string is passed, it is parsed as an octal integer. If not specified, defaults to `0o777`.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:716

  Asynchronous mkdir(2) - create a directory with a mode of `0o777`.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(path: PathLike, options?: number | string | MakeDirectoryOptions | null): Promise<void>

- - Defined in node_modules/@types/node/fs.d.ts:726

  Asynchronous mkdir(2) - create a directory.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### Optional options: number | string | MakeDirectoryOptions | null

    Either the file mode, or an object optionally specifying the file mode and whether parent folders should be created. If a string is passed, it is parsed as an octal integer. If not specified, defaults to `0o777`.

  #### Returns Promise<void>

Generated using TypeDoc